<?php
if (!defined('PHGDIR')) { exit(); }

if (file_exists('install/index.php')) { die('install/index.php must be deleted!<br>Not installed yet? Click <a href="install/index.php">here</a>!'); }

include_once(PHGDIR . 'settings/config.inc.php');     // phgstats configuration
include_once(PHGDIR . 'settings/amount.inc.php');     // number of servers
include_once(PHGDIR . 'includes/dns.inc.php');        // dns function
include_once(PHGDIR . 'classes/phgstats.class.php');  // main phgstats class

$phgdir = PHGDIR;

// get data of server
function info($phgdir, $sh_srv, $game, $host, $port, $queryport, $country) 
{
    // create server the object
    $phgstats = phgstats::query($game[$sh_srv]);
    
    // resolve ip adress
    $host[$sh_srv] = dns($host[$sh_srv]);

    // get the serverinfo string
    $server = $phgstats->getstream($host[$sh_srv], $port[$sh_srv], $queryport[$sh_srv]);

    if ($server === true) 
    {
        // get the server rules
        $srv_rules  = $phgstats->getrules($phgdir);
        $srv_rules['playerlist'] = $phgstats->getplayers();     
    }
    else
    {
        // default values if no response
        $msg = '<&&><&&>';
		$srv_rules['playerlist'] = '';
	
		$srv_rules['hostname']    = $msg;
		// $srv_rules['gamename']    = $msg . "<br>";
		$srv_rules['mapname']     = '';
		// $srv_rules['sets']        = '-';
		$srv_rules['htmlinfo']    = '';
		$srv_rules['htmldetail'] = '';
    }
    
    // get server adress
    $srv_rules['adress'] = $host[$sh_srv] . ':' . $port[$sh_srv];
     
    return $srv_rules;
}

// show the data of one server
function srv_info ($sh_srv, $srv_rules, $use_file, $use_bind, $only, $phgtable)
{               
    // html: hostname, country and daytime 
    echo $srv_rules['hostname'] . '<&&>';
    
    // html: adress, game, gametype, mapname, players, privileges
    echo $srv_rules['adress'] . '<&&>' . $srv_rules['htmldetail'] . '<&&>';
    
    // html: playerlist
    echo $srv_rules['playerlist'];
}

// show the data of two or more server
function srv_list ($sh_srv, $srv_rules, $use_file, $use_bind)
{
	// html: server id
	echo $sh_srv . '<&&>';
	
    // html: server ip and gamename
	echo $srv_rules['adress'] . '<&&>';

	// html: server info link
	echo $srv_rules['hostname'] . '<&&>';
	
	// html: server details table
	echo $srv_rules['htmlinfo'] . '<&&>';
}

// how much server must scan
$index = count($gameserver);

while($index)
{
	$index--;

	list($game[$index], $host[$index], $port[$index], $queryport[$index]) = split(':', $gameserver[$index]);
}

//if ($host[$HTTP_GET_VARS["sh_srv"]])
if ( IsSet($_GET['sh_srv']) ) 
{   
    $sh_srv = $_GET["sh_srv"];

    // gameserver data
    $srv_rules = info($phgdir, $sh_srv, $game, $host, $port, $queryport, $country);    

    srv_info($sh_srv, $srv_rules, $use_file, $use_bind, 0, $phgtable);
}
else
{
    $sh_srv = count($host);
        
    if ($sh_srv > 1)
    {             	
		echo $serveramount . '<&&>';   
		// html: gameserver list data
		while ($sh_srv)
		{
	    	$sh_srv--;
	    	$srv_rules = info($phgdir, $sh_srv, $game, $host, $port, $queryport, $country);
	    	srv_list($sh_srv, $srv_rules, $use_file, $use_bind);
	    	flush();
		}		  
    }
    else
    {
        $sh_srv--;
	
		// gameserver data
		$srv_rules = info($phgdir, $sh_srv, $game, $host, $port, $queryport, $country);
        srv_info($sh_srv, $srv_rules, $use_file, $use_bind, 1, $phgtable);
    }
}		    
?>